.x-modal.terms-policy-popup {
  padding: 80px;
  font-family: "Inter", sans-serif;
  color: #1C2036;
  height: auto !important;
}
.x-modal.terms-policy-popup .x-modal-overlay {
  overflow-y: auto !important;
  padding: 40px !important;
  padding-top: 60px !important;
}
.x-modal.terms-policy-popup .x-modal-container {
  height: -moz-fit-content;
  height: fit-content;
  width: auto;
  margin: auto;
  background: white;
  border-radius: 10px;
  overflow: hidden;
  z-index: 999;
  box-shadow: rgba(0, 0, 0, 0.05) 0 4px 40px;
  border: #F3F4F6 1px solid;
  display: flex;
  flex-direction: column;
  font-family: inherit;
  color: inherit;
}
.x-modal.terms-policy-popup .x-modal-container .popup-button-close {
  padding: 4px;
  background: transparent;
  transition: background-color 0.2s ease-in-out;
  border-radius: 50%;
  display: flex;
  justify-content: center;
  align-items: center;
  cursor: pointer;
}
.x-modal.terms-policy-popup .x-modal-container .popup-button-close:hover {
  background-color: rgba(0, 0, 0, 0.05);
}
.x-modal.terms-policy-popup .x-modal-container .popup-button-close:active {
  background-color: rgba(0, 0, 0, 0.1);
}
.x-modal.terms-policy-popup .x-modal-container .popup-button-close:active svg {
  transform: scale(0.9);
}
.x-modal.terms-policy-popup .x-modal-container .popup-button-close svg {
  height: 24px;
  width: 24px;
  pointer-events: none;
}
.x-modal.terms-policy-popup .x-modal-container .x-modal-header {
  flex-shrink: 0;
  padding: 20px;
  display: flex;
  justify-content: center;
  font-size: 14px;
  font-weight: 600;
  align-items: center;
  position: relative;
  font-family: inherit;
}
.x-modal.terms-policy-popup .x-modal-container .x-modal-header .x-header-navigation {
  position: absolute;
  right: 16px;
  z-index: 10;
}
.x-modal.terms-policy-popup .x-modal-container .x-modal-body {
  flex-grow: 1;
  flex-shrink: 0;
  padding: 20px;
  padding-top: 0;
}
.x-modal.terms-policy-popup .x-modal-container .x-modal-body .tnc-content-wrapper {
  max-width: 700px;
  margin: 0 auto;
  display: flex;
  flex-direction: column;
  gap: 30px;
  padding-left: 40px;
  padding-right: 40px;
  padding-bottom: 40px;
}
.x-modal.terms-policy-popup .x-modal-container .x-modal-body .tnc-content-wrapper .tnc-cw {
  width: 100%;
}
.x-modal.terms-policy-popup .x-modal-container .x-modal-body .tnc-content-wrapper .tnc-cw.tnc-title-sub {
  text-align: center;
  font-size: 11px;
}
.x-modal.terms-policy-popup .x-modal-container .x-modal-body .tnc-content-wrapper .tnc-cw.tnc-title-sub-para {
  font-size: 12px;
  font-weight: 500;
  margin-bottom: 10px;
}
.x-modal.terms-policy-popup .x-modal-container .x-modal-body .tnc-content-wrapper .tnc-cw.tnc-para {
  display: flex;
  flex-direction: column;
  gap: 6px;
}
.x-modal.terms-policy-popup .x-modal-container .x-modal-body .tnc-content-wrapper .tnc-cw.tnc-para .tnc-para-heading {
  font-weight: 700;
  font-size: 20px;
}
.x-modal.terms-policy-popup .x-modal-container .x-modal-body .tnc-content-wrapper .tnc-cw.tnc-para .tnc-para-body {
  font-weight: 500;
  font-size: 14px;
  opacity: 0.8;
}

@media screen and (max-width: 700px) {
  .x-modal.x-modal.terms-policy-popup .x-modal-overlay {
    padding: 20px !important;
  }
  .x-modal.x-modal.terms-policy-popup .x-modal-container {
    width: 100%;
  }
  .x-modal.x-modal.terms-policy-popup .x-modal-container .x-modal-header {
    padding: 12px;
  }
  .x-modal.x-modal.terms-policy-popup .x-modal-container .x-modal-header .x-modal-title {
    font-size: 12px;
  }
  .x-modal.x-modal.terms-policy-popup .x-modal-container .x-modal-header .x-header-navigation {
    right: 8px;
  }
  .x-modal.x-modal.terms-policy-popup .x-modal-container .x-modal-body {
    padding: 12px;
  }
  .x-modal.x-modal.terms-policy-popup .x-modal-container .x-modal-body .tnc-content-wrapper {
    padding-left: 10px;
    padding-right: 10px;
    padding-bottom: 10px;
    margin-top: -12px;
    gap: 20px;
  }
  .x-modal.x-modal.terms-policy-popup .x-modal-container .x-modal-body .tnc-content-wrapper .tnc-cw {
    text-align: justify;
  }
  .x-modal.x-modal.terms-policy-popup .x-modal-container .x-modal-body .tnc-content-wrapper .tnc-cw.tnc-title-sub {
    font-size: 10px;
    text-align: center;
  }
  .x-modal.x-modal.terms-policy-popup .x-modal-container .x-modal-body .tnc-content-wrapper .tnc-cw.tnc-title-sub-para {
    font-size: 11px;
  }
  .x-modal.x-modal.terms-policy-popup .x-modal-container .x-modal-body .tnc-content-wrapper .tnc-cw.tnc-para {
    gap: 4px;
    margin-bottom: 10px;
  }
  .x-modal.x-modal.terms-policy-popup .x-modal-container .x-modal-body .tnc-content-wrapper .tnc-cw.tnc-para .tnc-para-heading {
    font-size: 15px;
  }
  .x-modal.x-modal.terms-policy-popup .x-modal-container .x-modal-body .tnc-content-wrapper .tnc-cw.tnc-para .tnc-para-body {
    font-size: 12px;
    line-height: 1.3;
  }
}
